org.apache.cassandra.db

## Class LegacyLayout.LegacyBound

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyBound

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.LegacyBound
    extends java.lang.Object

### Field Summary

Fields
`static LegacyLayout.LegacyBound` `BOTTOM`
`ClusteringBound` `bound`
`ColumnDefinition` `collectionName`
`boolean` `isStatic`
`static LegacyLayout.LegacyBound` `TOP`

### Constructor Summary

Constructors
Constructor and Description
`LegacyBound(ClusteringBound bound, boolean isStatic, ColumnDefinition collectionName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Clustering` `getAsClustering(CFMetaData metadata)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BOTTOM

    public static final LegacyLayout.LegacyBound BOTTOM

#### TOP

    public static final LegacyLayout.LegacyBound TOP

#### bound

    public final ClusteringBound bound

#### isStatic

    public final boolean isStatic

#### collectionName

    public final ColumnDefinition collectionName

### Constructor Detail

#### LegacyBound

    public LegacyBound(ClusteringBound bound,
                       boolean isStatic,
                       ColumnDefinition collectionName)

### Method Detail

#### getAsClustering

    public Clustering getAsClustering(CFMetaData metadata)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`